### Class

# FwupdPlugin CoswidFirmware

#### Description [src]

    class FwupdPlugin.CoswidFirmware : FwupdPlugin.Firmware
    {
      /* No available fields */
    }

A coSWID SWID section.

See also: `FuCoswidFirmware`.

#### Hierarchy

#### Ancestors

- FuFirmware
- GObject

#### Constructors

###### fu_coswid_firmware_new

Creates a new `FuFirmware` of sub type coSWID.

since: 1.8.0

#### Instance methods

###### fu_coswid_firmware_get_device_id

Gets the device ID.

since: 2.0.17

###### fu_coswid_firmware_get_persistent_id

Gets the persistent ID.

since: 2.0.17

###### fu_coswid_firmware_get_product

Gets the product name.

since: 2.0.12

##### Methods inherited from FuFirmware (66)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginCoswidFirmwareClass {
      FuFirmwareClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuFirmwareClass`

  No description available.